/**
|-------------------------------------------------------------------------------
| MemberInfo.java
|-------------------------------------------------------------------------------
|
| Author:  Alwin Tareen
| Created: Apr 12, 2022
|
| This program stores relevant data for members of a high school club.
|
*/

public class MemberInfo
{
    // instance variables
    private String name;
    private int gradYear;
    private boolean hasGoodStanding;
    
    public MemberInfo(String name, int gradYear, boolean hasGoodStanding)
    {
        this.name = name;
        this.gradYear = gradYear;
        this.hasGoodStanding = hasGoodStanding;
    }
    
    public String getName()
    {
        return name;
    }
    
    public int getGradYear()
    {
        return gradYear;
    }
    
    public boolean inGoodStanding()
    {
        return hasGoodStanding;
    }
    
    public void setGoodStanding(boolean verdict)
    {
        hasGoodStanding = verdict;
    }
    
    public String toString()
    {
        return "(" + name + "/" + gradYear + "/" + hasGoodStanding + ")";
    }
}